stages:
  - sync
  - snapshot

.reposync: &reposync
  stage: sync
  tags:
  - baremetal
  only:
  - master
  script: 
  - mkdir -p /repo/${CI_JOB_NAME}
  - reposync -m -t -q -n -c yum.conf -p /repo/ -r ${CI_JOB_NAME}
  - repomanage --old --keep 3 /repo/${CI_JOB_NAME}/ | xargs -r rm -v

repo-snap:
  when: manual
  stage: snapshot
  only:
  - master
  tags:
  - baremetal
  script:
  - ./make_snapshot

centos7-base: 
  extends: .reposync
  script: 
  - mkdir -p /repo/${CI_JOB_NAME}
  - reposync -m -t -q -n -c yum.conf -p /repo/ -r ${CI_JOB_NAME}
  - repomanage --old --keep 3 /repo/${CI_JOB_NAME}/ | xargs -r rm -v
  - mkdir -p /repo/${CI_JOB_NAME}/LiveOS/
  - wget -q -O /repo/${CI_JOB_NAME}/LiveOS/squashfs.img http://mirror.centos.org/centos/7/os/x86_64/LiveOS/squashfs.img

centos7-extras: *reposync
centos7-updates: *reposync
collectd: *reposync
epel: *reposync
epel8: *reposync
lustre: *reposync
slurm: *reposync
centos8-base: *reposync
centos8-extras: *reposync
centos8-appstream: *reposync
